Register and cancel suspension of use
Registration of suspension of use
In accordance with your operational policy, we provide a feature to set an account be suspended on the Hive Server. By pre-registering the types of suspension in the Hive Console, you can distinguish and register both permanently suspended users and users with a temporary suspension period. Additionally, you can change the suspension type and suspension period for users (distinguished by PlayerID) who have already been registered.
Basics
| Request URL | - Production: https://auth.qpyou.cn/game/block/set
- Sandbox: https://sandbox-auth.qpyou.cn/game/block/set
|
| Method | POST |
| HTTP Header | - Content-type: application/json
- ISCRYPT: 0
|
| Response Format | JSON |
Request
| Parameter | Type | Required | Description |
| appid | String | O | AppID |
| player_id | Integer | O | Player ID(for use in sandbox environment) |
| hive_certification_key | String | O | certification key (issued from the App Center) |
| status | String | O | Suspension status - `P`: Permanent suspension
- `B`: User with a suspension period
|
| block_type | Integer | O | Suspension type number (Must be registered in the Hive Console: Hive Console > Authentication > Suspend Use > Register Type) |
| start_date | String | O | Suspension start date |
| end_date | String | O | Suspension end date |
Response
| Parameter | Type | Description |
| result_code | Integer | Result code - 0: Success
- 4000: Invalid parameter
- If the format of the suspension start date and end date is incorrect
- If the start date is later than the end date
- If the current time is later than the end date
- 4002: certification key mismatch
- 4011: Unregistered type
- 6000: Invalid appid
|
| result_msg | String | the result message about the cause of suspension |
Request examples
curl -X POST https://auth.qpyou.cn/game/block/set
-H 'Content-Type: application/json'
-H 'ISCRYPT: 0'
-d '{"appid" : "com.com2us.hivesdk.normal.freefull.apple.global.ios.universal", "player_id" : 24000000000, "hive_certification_key" : "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY", "status" : "B", "block_type" : 18, "start_date" : "2024-06-03 00:00:00", "end_date" : "2024-06-30 23:59:59"}'
Response example
{
"result_code": 0,
"result_msg": "SUCCESS"
}
Release user from suspension
Directly release a specific account from suspension on the Hive Server.
Basics
| Request URL | - Production: https://auth.qpyou.cn/game/block/delete
- Sandbox: https://sandbox-auth.qpyou.cn/game/block/delete
|
| Method | POST |
| HTTP Header | - Content-type: application/json
- ISCRYPT: 0
|
| Response Format | JSON |
Request
| Field | Type | Required | Description |
| appid | String | O | AppID |
| player_id | Integer | O | PlayerID |
| hive_certification_key | String | O | certification key (issued in the App Center) |
Response
| Field | Type | Description |
| result_code | Integer | - 0: Success
- 2002: User not suspended
- 4000: Invalid parameter
- 4002: certification key mismatch
- 6000: Invalid appid
|
| result_msg | String | Result message |
Request examples
curl -X POST https://auth.qpyou.cn/game/block/delete \
-H 'Content-Type: application/json' \
-H 'ISCRYPT: 0' \
-d '{"appid" : "com.com2us.hivesdk.normal.freefull.apple.global.ios.universal", "player_id" : 24000000000, "hive_certification_key" : "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY"}'
Response examples
{
"result_code": 0,
"result_msg": "SUCCESS"
}